<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>New book</title>
</head>
<body>
<form th:method="POST" th:action="@{/books}" th:object="${book}">
    <label for="bookName">Введите название книги: </label>
    <input type="text" th:field="*{bookName}" id="bookName"/>
    <div style="color:red" th:if="${#fields.hasErrors('bookName')}" th:errors="*{bookName}">Name Error</div>
    <br/>
    <label for="author">Введите автора: </label>
    <input type="text" th:field="*{author}" id="author"/>
    <div style="color:red" th:if="${#fields.hasErrors('author')}" th:errors="*{author}">Author Error</div>
    <br/>
    <label for="year">Введите год: </label>
    <input type="number" th:field="*{year}" id="year" min="1200" max="2023" placeholder="Необходимо ввести год"/>
    <div style="color:red" th:if="${#fields.hasErrors('year')}" th:errors="*{year}">Age Error</div>

    <br/>
    <input type="submit" value="Create!"/>
</form>
</body>
</html>